#include "gpuFragmentUsseBuffer.hpp"
#include "gpuMemory.hpp"

namespace render::kernel
{

GpuFragmentUsseBuffer::GpuFragmentUsseBuffer( size_t size)
{
    this->data = gpuFragmentUsseAllocator(size, &this->uid, &this->offset);
}

GpuFragmentUsseBuffer::~GpuFragmentUsseBuffer()
{
    gpuFragmentUsseFree(this->uid);
}

} // namespace render::kernel